# Update DKIM authority

You can delegate the domain authority to an other domain. Domain's authority is set to itself by default.

Endpoint: PUT /v3/domains/{name}/dkim_authority
Version: 3.0.0
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Path parameters:

  - `name` (string, required)
    The domain name

## Request fields (multipart/form-data):

  - `self` (boolean)
    Change the DKIM authority for a domain.
If set to true, the domain will be the DKIM authority for itself even if the root domain is registered on the same mailgun account
 If set to false, the domain will have the same DKIM authority as the root domain registered on the same mailgun account.

## Response 200:

  - `200` (unknown)
    A 200 response

## Response 200 fields (application/json):

  - `message` (string, required)

  - `sending_dns_records` (array, required)

  - `sending_dns_records.is_active` (boolean, required)
    Indicates whether the DNS record is currently active

  - `sending_dns_records.cached` (array, required)
    List of Mailguns cached values for the DNS record

  - `sending_dns_records.name` (string)
    Name of the DNS record if applicable

  - `sending_dns_records.priority` (string)
    Priority value for MX DNS records

  - `sending_dns_records.record_type` (string, required)
    Type of DNS record such as MX TXT or CNAME

  - `sending_dns_records.valid` (string, required)
    Indicates whether the DNS record is valid

  - `sending_dns_records.value` (string, required)
    Expected value of the DNS record

  - `changed` (boolean, required)

## Response 401:

  - `401` (unknown)
    A 401 response

## Response 401 fields (application/json):

  - `message` (string, required)
    Response message

## Response 404:

  - `404` (unknown)
    A 404 response

## Response 404 fields (application/json):

  - `message` (string, required)
    Response message

## Response 401 examples:

  - `Example` (unknown)

## Response 404 examples:

  - `Example` (unknown)

